/*SCROLL*/
.page-container {
  background-color: #f8f9fa; /* Set your desired background color */
  height: 65vh; /* Set the height of the background to the full viewport height */
  overflow: auto; /* Enable vertical scrolling if the content overflows */
}

.table-container {
  height: 58vh; 
  overflow-y: auto; /* Enable vertical scrolling if the content overflows */
}

/* Optionally, you can style the header to make it fixed */
.table-container thead {
  position: sticky;
  top: 0;
  background-color: #ffffff; /* Set your desired background color for the header */
  z-index: 1; /* Ensure the header stays above the scrolling content */
}


/*CAROUSEL */
#carouselBackground {
  position: absolute; /*in order to use z-index*/
  background-size: cover;
  background-position: center center;
  width: 100%;
  height: 100vh;
  top: 0;
  left: 0;
  z-index: -1;
}

.carousel-inner { /*carousel background */
  width: 100%;
  height: 100%;
}

.carousel-item img {
  object-fit: cover; /* Ensure the image covers the entire container */
  width: 100%;
  height: 100%;
}

/*NAVIGATION*/
.navImage{
  width:20%;
  height:20%;
}

.nav-item{
  display: flex;
  flex-direction: row;
  width: 15%;
}

.nav-tabs .nav-link {
  color: grey;
}

#linkColor:hover{
  color:black;
  transition: color 0.3s;
}

#containerInner{
  background-color: rgba(255, 255, 255, 0.85);
  padding:2%;
  border-radius: 7px;
}

/* Content container*/
.container {
  position: relative;
  overflow: hidden;
}

#rowFlex {
  display: flex; 
  justify-content: space-between; 
  align-items: flex-end;
}

#buttonPad {
  margin-bottom: 1%;
}

body {
  padding: 50px;
  font: 14px "Lucida Grande", Helvetica, Arial, sans-serif;
}

#help{
  font-style: italic;
  font-weight: normal;
}

#map{
  margin-top: 0.5%;
  margin-bottom: 0.5%;
}

button.offset-3.btn.btn-primary {
  display: block;
  margin: 1% auto 0; /* 1% top margin, auto for horizontal centering */
}

/*Scroll issue with map appearing above table header <th>*/
.table-container thead {
  z-index: 2; /* Set a higher z-index for the fixed thead */
}

.map {
  z-index: 1;
}

/*Jumbotron*/
#indexHeader{ 
  background-color: rgba(255, 255, 255, 0);
}


footer {
  display: flex;
  justify-content: space-between;
  margin-left: 1%;
  margin-right: 1%;
  flex-shrink: 0;
}

/*Pagination*/
.pagination {
  display: flex;
  justify-content: center;
}

.pagination a {
  margin: 0 5px; /* Optional: Adjust the spacing between pagination items */
}
